Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.vfs
Class TempStream

    java.lang.Object
      |
      +--com.caucho.vfs.StreamImpl
            |
            +--com.caucho.vfs.TempStream

public class TempStream
extends StreamImpl

Fields inherited from class com.caucho.vfs.StreamImpl
`path`

Constructor Summary
`TempStream(Path backingDir)`

Method Summary
`boolean` | `canWrite()`
`void` | `changeToBackingFile(int index)`
`void` | `clearWrite()`
`void` | `close()`
`void` | `destroy()`
`void` | `discard()`
`void` | `flush()`
`ReadStream` | `openRead()`
`ReadStream` | `openRead(boolean free)`
`ReadStream` | `openRead(ReadStream s)`
`void` | `openWrite()`
`void` | `write(byte[] buf, int offset, int length)`

Methods inherited from class com.caucho.vfs.StreamImpl
`canRead, getAttribute, getAttributeNames, getAvailable, getFlushOnNewline, getNewline, getPath, read, removeAttribute, setAttribute, setPath, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TempStream

    public TempStream(Path backingDir)

Method Detail

### openWrite

    public void openWrite()

### changeToBackingFile

    public void changeToBackingFile(int index)
                             throws java.io.IOException

### canWrite

    public boolean canWrite()

  Overrides:
    `canWrite` in class `StreamImpl`

### write

    public void write(byte[] buf,
                      int offset,
                      int length)
               throws java.io.IOException

  Overrides:
    `write` in class `StreamImpl`

### flush

    public void flush()
               throws java.io.IOException

  Overrides:
    `flush` in class `StreamImpl`

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `StreamImpl`

### openRead

    public ReadStream openRead()
                        throws java.io.IOException

### openRead

    public ReadStream openRead(boolean free)
                        throws java.io.IOException

### openRead

    public ReadStream openRead(ReadStream s)
                        throws java.io.IOException

### clearWrite

    public void clearWrite()

  Overrides:
    `clearWrite` in class `StreamImpl`

### discard

    public void discard()

### destroy

    public void destroy()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD